/* Google Web Fonts */
@import url("https://fonts.googleapis.com/css2?family=Noto+Serif+TC:wght@500;600;700;900&display=swap");
/*---- footer ----*/
@import url("https://ids.iwplay.com.tw/includ/footer/footer.css");

/*--------------------------------------*/
*,
:after,
:before {
  box-sizing: border-box;
  margin: 0 auto;
  padding: 0;
  text-decoration: none;
  outline: none;
}

html,
body {
  position: relative;
  margin: 0 auto;
  padding: 0;
  color: #fff;
  width: 100%;
  height: 100%;
  background: #1b1e25;
  font-family: "Noto Serif TC", serif, sans-serif;
  letter-spacing: 1px;
  word-break: break-all;
  font-size: 14px;
  color: #fff;
}

hr {
  display: block;
  height: 1px;
  border: 0;
  border-top: 1px solid #ccc;
  margin: 1em 0;
  padding: 0;
}

audio,
canvas,
iframe,
img,
svg,
video {
  vertical-align: middle;
}

fieldset {
  border: 0;
  margin: 0;
  padding: 0;
}

input,
input:focus {
  outline: none;
  border: 0 none;
}

textarea {
  resize: vertical;
  outline: none;
}

a {
  -webkit-transition: 0.5s ease;
  -o-transition: 0.5s ease;
  transition: 0.5s ease;
}

a:hover {
  text-decoration: none;
}

a:focus {
  outline: none;
}

.button {
  transition: 0.5s;
  display: inline-block;
}

.button:hover {
  filter: brightness(1.2);
  transform: scale(1.05);
}

.section-padding {
  padding: 2% 0;
}

.section-title {
  margin: 0 auto;
  margin-bottom: 30px;
  text-align: center;
}

/*活動*/
.newsdetails-actbadge {
  display: inline-block;
  background: #66950b;
  text-align: center;
  color: #fff;
  padding: 4px 10px;
  margin-bottom: 5px;
  font-size: 16px;
}

/*新聞*/
.newsdetails-newsbadge {
  display: inline-block;
  background: #e51737;
  text-align: center;
  color: #fff;
  padding: 4px 10px;
  font-weight: 500;
  font-size: 16px;
}

/*系統*/
.newsdetails-sysbadge {
  display: inline-block;
  background: #007ac8;
  text-align: center;
  color: #fff;
  padding: 4px 10px;
  margin-bottom: 5px;
  font-size: 16px;
}

.systemtime,
.newstime {
  color: #fff;
  font-size: 14px;
  font-weight: 500;
  display: inline-block;
}

/* ==========================
   Main Menu Styles 導覽列
============================ */

.main-menu {
  background: #000;
  box-shadow: 0px 2px 15px rgba(0, 0, 0, 0.1);
  transition: all 0.5s;
}

.main-menu .navbar {
  -webkit-box-pack: justify;
  -webkit-justify-content: space-between;
  -ms-flex-pack: justify;
  justify-content: space-between;
  padding: 0;
}

.navbar-brand {
  margin: 0;
}

.navbar-nav {
  margin: 0;
}

.navbar .navbar-collapse {
  -webkit-box-pack: end;
  -webkit-justify-content: flex-end;
  -ms-flex-pack: end;
  justify-content: flex-end;
}

.navbar .navbar-collapse ul li {
  position: relative;
}

.navbar .navbar-collapse ul li a {
  color: #fff;
  font-weight: 300;
  text-transform: uppercase;
}

.navbar .navbar-collapse ul li a:hover {
  color: #dabfa4;
}

.navbar .navbar-collapse ul li a.dropdown-toggle:after {
  content: none;
}

.navbar .navbar-collapse ul li.active a {
  color: #fff;
}

.navbar .navbar-collapse ul li.active .dropdown-menu a {
  color: #fff;
}

.navbar .navbar-collapse ul li.dropdown .dropdown-menu {
  top: 60px;
  display: block;
  visibility: hidden;
  opacity: 0;
  -webkit-transition: 0.3s ease;
  -o-transition: 0.3s ease;
  transition: 0.3s ease;
  padding: 15px 0;
  min-width: 12rem;
  -webkit-border-radius: 0;
  border-radius: 0;
  border: 0 none;
  -webkit-box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.navbar .navbar-collapse ul li.dropdown .dropdown-menu:before {
  position: absolute;
  content: "";
  left: 8px;
  top: -9px;
  border-bottom: 9px solid #ededed;
  border-right: 8px solid transparent;
  border-left: 8px solid transparent;
}

.navbar .navbar-collapse ul li.dropdown .dropdown-menu a {
  padding: 5px 20px;
  font-weight: 400;
  text-transform: capitalize;
}

.navbar .navbar-collapse ul li.dropdown .dropdown-menu a:hover {
  background: none;
}

.navbar .navbar-collapse ul li.dropdown:hover .dropdown-menu {
  visibility: visible;
  opacity: 1;
  top: 40px;
}

.navbar .navbar-collapse ul li.dropdown:hover a.nav-link {
  color: #fff !important;
}

.navbar .navbar-collapse.collapse.show {
  z-index: 100;
  background: #000;
}

.navbar-toggler:focus,
.navbar-toggler:hover {
  outline: none;
}

.navbar .nav-com {
  float: left;
  display: flex;
  flex-direction: row;
}

.icon-menu:before {
  color: #fff;
}

/* ==========================
   system 遊戲新聞
============================ */
.system-more {
  margin-bottom: 1rem;
  position: relative;
}

.system-more span:after {
  width: calc(100% - 215px);
  display: inline-block;
  content: "";
  height: 1px;
  background-color: #daebf7;
  margin: 5px 8px;
}

.system-more .btns {
  position: absolute;
  bottom: 0;
  right: 0;
  font-size: 14px;
  padding: 4px 14px;
  background: transparent;
  color: #daebf7;
  font-weight: 400;
  border: 1px solid #daebf7;
}

.system-more .btns:hover {
  background: #daebf7;
  color: #fff;
  font-weight: 400;
  border: 1px solid #daebf7;
}

.system-single {
  border-bottom: 1px #fff solid;
  padding-bottom: 0.7rem;
  margin-bottom: 0.7rem;
  list-style: none;
  margin-left: 0;
  margin-right: 0;
}

.system-details a {
  font-size: 16px;
  font-weight: 500;
  color: #fff;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  word-break: break-all;
}

.system-details a:hover {
  color: #daebf7;
}

/* .system-single .system-title span {
    font-size: 16px;
    font-weight: 500;
    color: #fff;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    word-break: break-all;
}

.system-single .system-title span:hover {
    font-size: 16px;
    font-weight: 500;
    color: #daebf7;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    word-break: break-all;
}

.system-details a {
    color: #fff;
}

.system-details a:hover {
    color: #daebf7;
} */

.ellipsis {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  white-space: normal;
}

.system-single .system-details .morebtn {
  display: inline-block;
  font-size: 14px;
  padding: 0px 20px;
  color: #dabfa4;
  font-weight: 400;
  -webkit-border-radius: 0.25rem;
  border: 1px solid #dabfa4;
  border-radius: 0.25rem;
  margin: 0rem;
}

.system-single .system-details .morebtn:hover {
  color: #fff;
  background: #dabfa4;
}

.carousel-indicators {
  margin-bottom: 5px;
}

.carousel-indicators li {
  border-radius: 50rem;
  border: 1px;
  width: 8px;
  height: 8px;
}

/* ==============================
    latestnews Styles   最新消息
=============================== */
.latestnews,
.newsdetails {
  background: url(https://images2.iwplay.com.tw/image/tlbb/os_main/images/news_content_bg.jpg)
    repeat-y center top;
  background-size: inherit;
}

.latestnews-single {
  border-bottom: 1px #f2e6ce solid;
  padding-bottom: 2rem;
  margin-bottom: 2rem;
}

.latestnews .latestnews-single figure {
  position: relative;
  margin: 0;
  overflow: hidden;
  text-align: center;
}

.latestnews .latestnews-single figure img {
  -webkit-transition: 0.3s ease;
  -o-transition: 0.3s ease;
  transition: 0.3s ease;
}

.latestnews .latestnews-single figure:hover img {
  -webkit-transform: scale(1.2);
  -ms-transform: scale(1.2);
  transform: scale(1.2);
}

.latestnews-single .latestnews-title {
  font-size: 18px;
  font-weight: 500;
  color: #fff;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  word-break: break-all;
}

.latestnews-single .latestnews-title a {
  color: #fff;
}

.latestnews-single .latestnews-title a:hover {
  color: #dabfa4;
}

.morebtn {
  display: inline-block;
  font-size: 12px;
  padding: 8px 12px;
  background: transparent;
  color: #fff;
  font-weight: 400;
  -webkit-border-radius: 0.25rem;
  border-radius: 0;
}

.morebtn:hover {
  color: #dabfa4;
  font-weight: 400;
}

/* ==============================
    newsdetails Styles   新聞內頁
=============================== */

.newsdetails .newsdetails-title {
  font-size: 20px;
  font-weight: 500;
  color: #fff;
  margin-bottom: 1rem;
}

.newsdetails .newsdetails-contents h3 {
  margin: 1.5rem 0;
  font-size: 18px;
  font-weight: 500;
  color: #fff;
}

.newsdetails .newsdetails-contents p {
  margin: 2rem 0;
}

.newsdetails .newsdetails-contents a {
  color: #fff;
}

.newsdetails .newsdetails-contents a:hover {
  color: #dabfa4;
}

.newsdetails .newsdetails-contents blockquote {
  border: 15px solid #f5f5f5;
  padding: 20px;
  font-style: italic;
  margin: 30px 0;
  color: #dabfa4;
}

.newsdetails .newsdetails-contents blockquote span {
  color: #dabfa4;
  display: inline-block;
  padding-right: 5px;
}

.newsdetails .backto {
  margin: 80px 0;
}

.newsdetails .backto a {
  color: #fff;
  font-size: 16px;
}

.newsdetails .backto a:hover {
  color: #dabfa4;
}

/* ==========================
   pagination Styles 頁碼
============================ */

.pagination ul {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  margin: 0;
}

.pagination ul li {
  margin-right: 8px;
}

.pagination ul li:last-child {
  margin-right: 0;
}

.pagination ul li a {
  padding: 3px 10px;
  border: 1px solid #dabfa4;
  color: #dabfa4;
}

.pagination ul li a:hover {
  color: #1d1e20;
  border-color: #dabfa4;
  background: #dabfa4;
}

.pagination ul li.active a {
  color: #1d1e20;
  border-color: #dabfa4;
  background: #dabfa4;
}

/* ==========================
    gameinfo 遊戲訊息
============================ */
.gameinfo {
  padding: 2rem 0;
  background: url(https://images2.iwplay.com.tw/image/tlbb/os_main/images/gameinfo_bg.jpg)
    no-repeat center top;
  background-size: cover;
}

.gameinfo .icon {
  margin: 0 auto;
  max-width: 190px;
}

.gameinfo h2 {
  font-size: 27px;
  font-weight: 700;
  color: #fff;
}

.gameinfo p {
  color: #f6d9bb;
  font-size: 16px;
  font-weight: 500;
}

footer .company > img {
  width: 122px;
  height: auto;
}

footer {
  color: #fff;
  background: #000;
}

footer p,
footer ul {
  opacity: 1;
}

/*****************************
	RESPONSIVE
*****************************/

/* 991 */
@media (max-width: 991px) {
  .navbar .navbar-collapse ul li.dropdown .dropdown-menu {
    top: 100%;
    display: none;
    visibility: visible;
    opacity: 1;
  }

  .navbar .navbar-collapse ul li.dropdown .dropdown-menu.show {
    display: block;
  }

  .navbar .navbar-collapse ul li.dropdown .dropdown-menu:before {
    content: none;
  }

  .navbar .navbar-collapse ul li.dropdown:hover .dropdown-menu {
    visibility: visible;
    opacity: 1;
  }

  .navbar .nav-com a {
    margin-right: 10px;
  }

  .section-title {
    max-width: 350px;
  }

  .gameinfo .icon {
    max-width: 160px;
    margin-bottom: 20px;
  }

  .gameinfo {
    text-align: center;
    background: url(https://images2.iwplay.com.tw/image/tlbb/os_main/images/app_info_down_sp_bg.webp)
      no-repeat center top;
    background-size: cover;
  }

  .gameinfo .customer {
    margin: 0 auto;
    max-width: 400px;
  }
}

@media only screen and (max-width: 575px) {
  .section-title {
    max-width: 280px;
  }
}
